<?php

/**
 * Class that operate on table 'salaryreport'. Database Mysql.
 *
 * @author: http://phpdao.com
 * @date: 2014-03-09 11:49
 */
class SalaryreportMySqlExtDAO extends SalaryreportMySqlDAO {

    public function loadcase($id) {
        $sql = "SELECT *
				FROM `salaryreport`
				WHERE `salarymonth` LIKE '" . $id . "%' order by salaryreportid desc";
        $sqlQuery = new SqlQuery($sql);

        return $this->getRow($sqlQuery);
    }

    public function queryAllEX($queryString) {
        $sql = 'SELECT salaryreport.*,employee.employeeName,employee.treeId,employee.socialInsurance,employee.workTax
                FROM salaryreport
		join employee
		on employee.employeeId=salaryreport.employeeId
                where 1
		' . $queryString . '
		';


        //print_r($sql);
        $sqlQuery = new SqlQuery($sql);
        return $this->getList($sqlQuery);
    }

    public function updatedel($salaryreport) {
        $sql = 'UPDATE salaryreport SET conditions = ? WHERE salaryreportid = ?';
        $sqlQuery = new SqlQuery($sql);

        $sqlQuery->setNumber($salaryreport->conditions);


        $sqlQuery->setNumber($salaryreport->salaryreportid);
        return $this->executeUpdate($sqlQuery);
    }

    public function queryAllbydata($startDate, $endDate) {
        $sql = 'SELECT * FROM salaryreport

		where conditions=0 and salaryreportdate  >= "' . $startDate . '" AND salaryreportdate <= "' . $endDate . '"
		';

        //print_r($sql."<br>");
        $sqlQuery = new SqlQuery($sql);
        return $this->getList($sqlQuery);
    }

    public function getEmpLastRow($empId) {
        $sql = "SELECT * FROM `salaryreport`
		WHERE employeeid = " . $empId . " and conditions = 0 order by salaryreportid desc";
        $sqlQuery = new SqlQuery($sql);

        return $this->getRow($sqlQuery);
    }

    public function getEmpLastRowPrev($empId, $id) {
        $sql = "SELECT * FROM `salaryreport`
		WHERE employeeid = " . $empId . " and salaryreportid < " . $id . " and conditions = 0 order by salaryreportid desc";
        $sqlQuery = new SqlQuery($sql);

        return $this->getRow($sqlQuery);
    }

}

?>